View Issue Details

IDProjectCategoryView StatusLast Update
12723Bug reports[All Projects] User/User groupspublic2018-05-23 11:37
ReporterblockaAssigned ToLouisGac 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version2.70.x 
Target VersionFixed in Version3.7.x 
Summary12723: Saving global user permissions deselects "Use internal database authentication"
Description

"Use internal database authentication" is unset when you save user permissions

Steps To Reproduce
  1. Create a new user
  2. View user permissions
  3. Confirm "Use internal database authentication" is checked
  4. Save user permissions
  5. Edit user permissions
  6. "Use internal database authentication" is unchecked
  7. New user cannot login
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.71.0+170925
I will donate to the project if issue is resolvedNo
BrowserAll
Database & DB-VersionmySQL 5.6.37
Server OS (if known)CentOs
Webserver software & version (if known)any
PHP Version7.0.19 7

Activities

segui

segui

2017-09-27 16:05

reporter   ~44495

I am having the same problem. This is critical, hope it can be fixed soon.

duvemyster

duvemyster

2017-09-28 16:29

reporter   ~44519

This has been resolved in the most recent stable release (Version 2.71.0+170927). Thank you @c_schmitz and the Limesurvey Team!

Issue History

Date Modified Username Field Change
2017-09-27 14:33 blocka New Issue
2017-09-27 16:05 segui Note Added: 44495
2017-09-28 16:29 duvemyster Note Added: 44519
2018-05-23 11:37 LouisGac Assigned To => LouisGac
2018-05-23 11:37 LouisGac Status new => resolved
2018-05-23 11:37 LouisGac Resolution open => fixed
2018-05-23 11:37 LouisGac Status resolved => closed
2018-05-23 11:37 LouisGac Fixed in Version => 3.7.x